<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRolesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('roles', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 32)->comment('角色名');
            $table->integer('charge')->default(0)->comment('价格，单位：元');
            $table->integer('expire_days')->default(0)->comment('有效期，单位：天');
            $table->integer('weight')->default(0)->comment('权重，升序');
            $table->string('description')->default('')->comment('详细描述，一行一个');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('roles');
    }
}
