<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrderGoodsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_goods', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id');
            $table->string('order_id', 18)->unique()->comment('订单编号');
            $table->integer('goods_id')->comment('商品ID');
            $table->string('goods_type')->comment('商品类型标识符');
            $table->integer('num')->default(1)->comment('商品数量');
            $table->integer('charge')->comment('商品价格');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_goods');
    }
}
