<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCourseCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('course_categories', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 32)->comment('分类名');
            $table->integer('parent_id')->default(0)->comment('父id');
            $table->string('parent_chain')->default('')->comment('父链');
            $table->tinyInteger('is_show')->default(1)->comment('是否显示,1显示,0不显示');
            $table->integer('sort')->default(0)->comment('升序');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('course_categories');
    }
}
