<?php $__env->startSection('content'); ?>

    <div class="course-banner">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="nav-bar">
                        <a href="<?php echo e(route('courses')); ?>">所有课程</a>
                        <span>></span>
                        <a href="<?php echo e(route('courses')); ?>?category_id=<?php echo e($category['id']); ?>"><?php echo e($category['name']); ?></a>
                        <span>></span>
                        <a href="javascript:void(0)"><?php echo e($course['title']); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="course-info-box">
                    <div class="course-thumb">
                        <img class="course-thumb-img" src="<?php echo e($course['thumb']); ?>" width="320" height="240">
                        <?php if($isBuy): ?>
                            <div class="paid">
                                <img src="/images/icons/paid.png" width="100" height="100">
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="course-info">
                        <h2 class="course-title">
                            <?php echo e($course['title']); ?>


                            <?php if($isLikeCourse): ?>
                                <div data-login="<?php echo e($user ? 1 : 0); ?>"
                                     data-url="<?php echo e(route('ajax.course.like', [$course['id']])); ?>" class="like-button">
                                    <img src="/images/icons/like-hover.png" width="24" height="24">
                                    <span>已收藏</span>
                                </div>
                            <?php else: ?>
                                <div data-login="<?php echo e($user ? 1 : 0); ?>"
                                     data-url="<?php echo e(route('ajax.course.like', [$course['id']])); ?>" class="like-button">
                                    <img src="/images/icons/like.png" width="24" height="24">
                                    <span>收藏课程</span>
                                </div>
                            <?php endif; ?>
                        </h2>
                        <div class="course-description"><?php echo e($course['short_description']); ?></div>
                        <div class="course-extra-info">
                            <?php if($isBuy): ?>
                                <?php if($firstVideo): ?>
                                    <a href="<?php echo e(route('video.show', [$firstVideo['course_id'], $firstVideo['id'], $firstVideo['slug']])); ?>"
                                       class="buy-course-button">开始学习</a>
                                <?php else: ?>
                                    <a href="javascript:void(0);" onclick="flashWarning('暂无视频')"
                                       class="buy-course-button">开始学习</a>
                                <?php endif; ?>
                            <?php else: ?>
                                <span class="course-price"><small>￥</small><?php echo e($course['charge']); ?></span>
                                <a data-login="<?php echo e($user ? 1 : 0); ?>" href="<?php echo e(route('member.course.buy', [$course['id']])); ?>"
                                   class="buy-course-button login-auth">订阅课程</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="course-menu-box"
                     style="margin-top: 0px; border-radius:0px 0px 8px 8px; box-shadow:0px 4px 8px 0px rgba(229,229,229,1); padding-left: 30px;">
                    <div class="menu-item <?php echo e(!$scene ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('course.show', [$course['id'], $course['slug']])); ?>"
                           class="course-show-menu-item" data-page="course-show-page-desc">课程介绍</a>
                    </div>
                    <div class="menu-item <?php echo e($scene === 'chapter' ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('course.show', [$course['id'], $course['slug']])); ?>?scene=chapter"
                           class="course-show-menu-item" data-page="course-show-page-chapter">课程目录</a>
                    </div>
                    <div class="menu-item <?php echo e($scene === 'comment' ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('course.show', [$course['id'], $course['slug']])); ?>?scene=comment">讨论区</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php if(!$scene || $scene === 'chapter'): ?>
        <div>
            <div class="container course-show-page-desc <?php echo e(!$scene ? '' : 'display-none'); ?>">
                <div class="row">
                    <div class="col-12">
                        <?php echo $course['render_desc']; ?>

                    </div>
                </div>
            </div>

            <div class="container course-show-page-chapter <?php echo e($scene !== 'chapter' ? 'display-none' : ''); ?>">
                <div class="row">
                    <div class="col-12">
                        <div class="course-chapter">
                            <?php if($chapters): ?>
                                <?php $__currentLoopData = $chapters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chapter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="course-chapter-title"><?php echo e($chapter['title']); ?></div>
                                    <?php $__currentLoopData = $videos[$chapter['id']] ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="course-videos-box">
                                            <div class="course-videos-item <?php echo e($loop->first ? 'first' : ''); ?> <?php echo e($loop->last ? 'last' : ''); ?>">
                                                <span class="player-icon"></span>
                                                <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                   class="video-title"><?php echo e($video['title']); ?></a>
                                                <?php if($video['charge'] === 0): ?>
                                                    <span class="free-label">免费</span>
                                                <?php endif; ?>
                                                <span class="video-duration"><?php echo e(duration_humans($video['duration'])); ?></span>
                                                <?php if($isBuy): ?>
                                                    <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                       class="learn-button">继续学习</a>
                                                <?php elseif($video['charge'] === 0): ?>
                                                    <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                       class="learn-button">免费学习</a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                       class="learn-button">开始学习</a>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <?php $__currentLoopData = $videos[0] ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="course-videos-box">
                                        <div class="course-videos-item <?php echo e($loop->first ? 'first' : ''); ?> <?php echo e($loop->last ? 'last' : ''); ?>">
                                            <span class="player-icon"></span>
                                            <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                               class="video-title"><?php echo e($video['title']); ?></a>
                                            <?php if($video['charge'] === 0): ?>
                                                <span class="free-label">免费</span>
                                            <?php endif; ?>
                                            <span class="video-duration"><?php echo e(duration_humans($video['duration'])); ?></span>
                                            <?php if($isBuy): ?>
                                                <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                   class="learn-button">继续学习</a>
                                            <?php elseif($video['charge'] === 0): ?>
                                                <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                   class="learn-button">免费学习</a>
                                            <?php else: ?>
                                                <a href="<?php echo e(route('video.show', [$video['course_id'], $video['id'], $video['slug']])); ?>"
                                                   class="learn-button">开始学习</a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php elseif($scene === 'comment'): ?>
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="comment-box">
                        <div class="comment-title">
                            课程讨论
                        </div>
                        <div class="comment-input-box">
                            <textarea name="content" placeholder="请输入评论内容" class="form-control" rows="3"></textarea>
                            <button type="button" data-url="<?php echo e(route('ajax.course.comment', [$course['id']])); ?>"
                                    data-login="<?php echo e($user ? 1 : 0); ?>" data-input="content" class="comment-button">评论
                            </button>
                        </div>
                    </div>

                    <div class="comment-list-box">
                        <?php $__empty_1 = true; $__currentLoopData = $comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $commentItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="comment-list-item">
                                <div class="comment-user-avatar">
                                    <img src="<?php echo e($commentUsers[$commentItem['user_id']]['avatar']); ?>" width="70"
                                         height="70">
                                </div>
                                <div class="comment-content-box">
                                    <div class="comment-user-nickname"><?php echo e($commentUsers[$commentItem['user_id']]['nick_name']); ?></div>
                                    <div class="comment-content">
                                        <?php echo $commentItem['render_content']; ?>

                                    </div>
                                    <div class="comment-info">
                                        <span class="comment-createAt"><?php echo e(\Carbon\Carbon::parse($commentItem['created_at'])->diffForHumans()); ?></span>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php echo $__env->make('frontend.components.none', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <?php echo $__env->make('frontend.components.recom_courses', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app-active', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /www/wwwroot/deng.zone/resources/views/frontend/course/show.blade.php ENDPATH**/ ?>