<?php $__env->startSection('content'); ?>

    <div class="course-banner">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="nav-bar">
                        <a href="<?php echo e(route('courses')); ?>">所有课程</a>
                        <span>></span>
                        <a href="<?php echo e(route('course.show', [$course['id'], $course['slug']])); ?>"><?php echo e($course['title']); ?></a>
                        <span>></span>
                        <a href="javascript:void(0)"><?php echo e($video['title']); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="video-player">
                    <?php if($user): ?>
                        <?php if($canSeeVideo): ?>
                            <div class="box-shadow1">
                                <?php if($video['aliyun_video_id']): ?>
                                    <?php echo $__env->make('frontend.components.player.aliyun', ['video' => $video], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php elseif($video['tencent_video_id']): ?>
                                    <?php echo $__env->make('frontend.components.player.tencent', ['video' => $video], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php else: ?>
                                    <?php echo $__env->make('frontend.components.player.aliyunSimple', ['video' => $video], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php endif; ?>
                            </div>
                        <?php else: ?>
                            <div class="buy-this-video">
                                <h3><?php echo e($video['title']); ?></h3>
                                <a href="<?php echo e(route('member.video.buy', [$video['id']])); ?>"
                                   class="btn btn-primary mt-3">购买此视频 ￥<?php echo e($video['charge']); ?></a>
                            </div>
                        <?php endif; ?>
                    <?php else: ?>
                        <div class="need-login">
                            <h3><?php echo e($video['title']); ?></h3>
                            <p class="mt-5"><a data-login="0" class="btn btn-primary login-auth"
                                               href="<?php echo e(route('login')); ?>">登录</a></p>
                            <p class="login-text">
                                登录后才可以观看视频哦 ！公用账号密码：guest
                            </p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="course-menu-box mt-0" style="border-top-left-radius: 0px; border-top-right-radius: 0px;">
                    <div class="menu-item <?php echo e(!$scene ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('video.show', [$course['id'], $video['id'], $video['slug']])); ?>"
                           data-page="video-show-page-desc" class="video-show-page-item">视频介绍</a>
                    </div>
                    <div class="menu-item <?php echo e($scene === 'chapter' ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('video.show', [$course['id'], $video['id'], $video['slug']])); ?>?scene=chapter"
                           data-page="video-show-page-chapter" class="video-show-page-item">课程目录</a>
                    </div>
                    <div class="menu-item <?php echo e($scene === 'comment' ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('video.show', [$course['id'], $video['id'], $video['slug']])); ?>?scene=comment">讨论区</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php if(!$scene || $scene === 'chapter'): ?>
        <div>
            <div class="container <?php echo e(!$scene ? '' : 'display-none'); ?> video-show-page-desc">
                <div class="row">
                    <div class="col-12">
                        <?php echo $video['render_desc']; ?>

                    </div>
                </div>
            </div>
            <div class="container <?php echo e($scene === 'chapter' ? '' : 'display-none'); ?> video-show-page-chapter">
                <div class="row">
                    <div class="col-12">
                        <div class="course-chapter">
                            <?php if($chapters): ?>
                                <?php $__currentLoopData = $chapters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chapter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="course-chapter-title"><?php echo e($chapter['title']); ?></div>
                                    <?php $__currentLoopData = $videos[$chapter['id']] ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $videoItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="course-videos-box">
                                            <div class="course-videos-item <?php echo e($videoItem['id'] === $video['id'] ? 'active' : ''); ?> <?php echo e($loop->first ? 'first' : ''); ?> <?php echo e($loop->last ? 'last' : ''); ?>">
                                                <span class="player-icon"></span>
                                                <a href="<?php echo e(route('video.show', [$videoItem['course_id'], $videoItem['id'], $videoItem['slug']])); ?>"
                                                   class="video-title"><?php echo e($videoItem['title']); ?></a>
                                                <?php if($videoItem['charge'] === 0): ?>
                                                    <span class="free-label">免费</span>
                                                <?php endif; ?>
                                                <span class="video-duration"><?php echo e(duration_humans($videoItem['duration'])); ?></span>
                                                <a href="<?php echo e(route('video.show', [$videoItem['course_id'], $videoItem['id'], $videoItem['slug']])); ?>"
                                                   class="learn-button">开始学习</a>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <?php $__currentLoopData = $videos[0] ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $videoItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="course-videos-box">
                                        <div class="course-videos-item <?php echo e($videoItem['id'] === $video['id'] ? 'active' : ''); ?> <?php echo e($loop->first ? 'first' : ''); ?> <?php echo e($loop->last ? 'last' : ''); ?>">
                                            <span class="player-icon"></span>
                                            <a href="<?php echo e(route('video.show', [$videoItem['course_id'], $videoItem['id'], $videoItem['slug']])); ?>"
                                               class="video-title"><?php echo e($videoItem['title']); ?></a>
                                            <?php if($videoItem['charge'] === 0): ?>
                                                <span class="free-label">免费</span>
                                            <?php endif; ?>
                                            <span class="video-duration"><?php echo e(duration_humans($video['duration'])); ?></span>
                                            <a href="<?php echo e(route('video.show', [$videoItem['course_id'], $videoItem['id'], $videoItem['slug']])); ?>"
                                               class="learn-button">开始学习</a>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php elseif($scene === 'comment'): ?>
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="comment-box">
                        <div class="comment-title">
                            本课讨论
                        </div>
                        <div class="comment-input-box">
                            <textarea name="content" placeholder="请输入评论内容" class="form-control" rows="3"></textarea>
                            <button type="button" data-url="<?php echo e(route('ajax.video.comment', [$video['id']])); ?>"
                                    data-login="<?php echo e($user ? 1 : 0); ?>" data-input="content" class="comment-button">评论
                            </button>
                        </div>
                    </div>

                    <div class="comment-list-box">
                        <?php $__empty_1 = true; $__currentLoopData = $comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $commentItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="comment-list-item">
                                <div class="comment-user-avatar">
                                    <img src="<?php echo e($commentUsers[$commentItem['user_id']]['avatar']); ?>" width="70"
                                         height="70">
                                </div>
                                <div class="comment-content-box">
                                    <div class="comment-user-nickname"><?php echo e($commentUsers[$commentItem['user_id']]['nick_name']); ?></div>
                                    <div class="comment-content">
                                        <?php echo $commentItem['render_content']; ?>

                                    </div>
                                    <div class="comment-info">
                                        <span class="comment-createAt"><?php echo e(\Carbon\Carbon::parse($commentItem['created_at'])->diffForHumans()); ?></span>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php echo $__env->make('frontend.components.none', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <?php echo $__env->make('frontend.components.recom_courses', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app-active', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /www/wwwroot/deng.zone/resources/views/frontend/video/show.blade.php ENDPATH**/ ?>